Subject: Re: [PATCH v2] completion: complete "git -<TAB>" with short options

From: Junio C Hamano <[email-masked]>
Date: Sun, 07 Dec 2025 09:38:08 +0900

Junio C Hamano <[email-masked]> writes:

> SZEDER Gábor <[email-masked]> writes:
>
>> know what those short options are good for.  E.g. I just learned from
>> this patch that the main git command accepts -p and -P options, but I
>> have no idea what they are doing.)
>>
>> So overall I'm somewhat negative on this patch and in general on the
>> direction it takes us, but if we do want to go in this direction, then
>> it will definitely need more justification than this.
>
> Ah, yes, I totally forgot earlier discussions we had long ago, e.g.,
>
>   https://lore.kernel.org/git/[email-masked]/
>
> Completing potential values for a single letter short option is one
> thihng, but completing single letter short options themselves,
> unless the completion script can offer a short-help somehow, e.g.,
>
>     $ git -<TAB><TAB>
>     -C (chdir there before running the command)
>     -p (enable pager)
>     ...
>
> I agree that it would not be of much use.

We did not see any more comments on this thread during my vacation
;-) so let me declare that we will discard this topic.

Thanks everybody for particupating, and thanks Wiktor for attempting
to make Git a better system.